Name:           gimp-fourier-plugin
Version:        0.4.4
Release:        %mkrel 1
Summary:        A simple plug-in to do fourier transform on your image
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://www.lprp.fr/gimp_plugin_en/
Source0:        https://github.com/rpeyron/plugin-gimp-fourier/releases/download/v%{version}/gimp-plugin-fourier-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gimp-2.0)
BuildRequires:  dos2unix
Requires:       gimp

%description
A simple plug-in to do fourier transform on your image. The major advantage of
this plugin is to be able to work with the transformed image inside GIMP.


%prep
%autosetup -n gimp-plugin-fourier-%{version} -p1

# Remove pre-compiled executable
rm -vf fourier

for f in README.Moire
do
  iconv --from-code=ISO-8859-1 --to-code=UTF-8 "${f}" > "${f}.tmp"
  dos2unix "${f}.tmp"
  touch -r "${f}" "${f}.tmp"
  mv "${f}.tmp" "${f}"
done


%build
autoreconf -fi
%configure --bindir=%{_libdir}/gimp/2.0/plug-ins
%make_build


%install
# We can’t use “gimptool-2.0 install-bin” to install into plug-ins directory.
# We therefore don’t need gimptool-2.0 at all.
%make_install bindir=%{_libdir}/gimp/2.0/plug-ins datadir=%{_datadir}

# Handle docs in %%files section
rm -rf %{buildroot}%{_datadir}/gimp-fourier-plugin/

# Upstream provides no tests.


%files
%license LICENSE
%doc README.md README.Moire
%{_libdir}/gimp/2.0/plug-ins/fourier


%changelog
* Wed Aug 24 2022 wally <wally> 0.4.4-1.mga9
+ Revision: 1879944
- new version 0.4.4
- import based on .spec from Fedora

